---
title: CSS Lists
slug: Web/CSS/CSS_Lists_and_Counters
tags:
  - CSS
  - CSS Lists
  - Guide
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p><strong>CSS Lists</strong> is a module of CSS that defines how lists can be laid out and styled.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("list-style-image")}}</li>
 <li>{{cssxref("list-style-type")}}</li>
 <li>{{cssxref("list-style-position")}}</li>
 <li>{{cssxref("list-style")}}</li>
</ul>
</div>

<h2 id="Guides">Guides</h2>

<dl>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Lists_and_Counters/Consistent_list_indentation">Consistent list indentation</a></dt>
 <dd>Explains how to achieve consistent list indentation across different browsers.</dd>
 <dt><a href="/en-US/docs/Web/CSS/CSS_Lists_and_Counters/Using_CSS_counters">Using CSS Counters</a></dt>
 <dd>Explains how to use the CSS counter properties to control list counters.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Lists')}}</td>
   <td>{{Spec2('CSS3 Lists')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'generate.html')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
